Debian Bug report logs - #74903
dialog: dialog segfaults with this commandline

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Enrico Zini <zinie@cs.unibo.it>

Date: Mon, 16 Oct 2000 19:48:01 UTC

Severity: normal

Found in version 0.9a-20000730-1

Fixed in version dialog/0.9a-20001017-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@herndon4.his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#74903; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <zinie@cs.unibo.it>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Enrico Zini <zinie@cs.unibo.it>
To: submit@bugs.debian.org
Subject: dialog: dialog segfaults with this commandline
Date: Sat, 14 Oct 2000 17:07:45 +0200
Package: dialog
Version: 0.9a-20000730-1
Severity: normal

Dialog regularly segfaults in my sistem with this commandline:

dialog --menu test 40 80 38 a b

The crash seems related to a too large menu-height: this invocation doesn't
crash:

dialog --menu test 40 80 38 a b

Perhaps an error message would be more appropriate than a segfault.

Bye! Enrico

-- System Information
Debian Release: woody
Kernel Version: Linux marvin 2.4.0-test8 #7 SMP Sat Sep 30 20:55:22 CEST 2000 i686 unknown

Versions of the packages dialog depends on:
ii  debianutils                1.13.3                     Miscellaneous utilities specific to Debian.
ii  libc6                      2.1.94-3                   GNU C Library: Shared libraries and Timezone data
ii  libncurses5                5.0-7                      Shared libraries for terminal handling



Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 74903-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: 74903-forwarded@bugs.debian.org, Enrico Zini <zinie@cs.unibo.it>
Subject: Bug#74903: dialog: dialog segfaults with this commandline (fwd)
Date: Tue, 17 Oct 2000 12:11:02 +0200 (CEST)
Hello.

I received this from the Debian Bug System.

I have checked and it also reproduces with the latest dialog-0.9a-20001008
you released a week ago (which I have not uploaded for Debian yet).

Thanks.

---------- Forwarded message ----------
Date: Sat, 14 Oct 2000 17:07:45 +0200
From: Enrico Zini <zinie@cs.unibo.it>
To: submit@bugs.debian.org
Subject: #74903: dialog: dialog segfaults with this commandline

Package: dialog
Version: 0.9a-20000730-1
Severity: normal

Dialog regularly segfaults in my sistem with this commandline:

dialog --menu test 40 80 38 a b

The crash seems related to a too large menu-height: this invocation doesn't
crash:

dialog --menu test 40 80 38 a b

Perhaps an error message would be more appropriate than a segfault.

Bye! Enrico

-- System Information
Debian Release: woody
Kernel Version: Linux marvin 2.4.0-test8 #7 SMP Sat Sep 30 20:55:22 CEST 2000 i686 unknown

Versions of the packages dialog depends on:
ii  debianutils                1.13.3                     Miscellaneous utilities specific to Debian.
ii  libc6                      2.1.94-3                   GNU C Library: Shared libraries and Timezone data
ii  libncurses5                5.0-7                      Shared libraries for terminal handling





Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Enrico Zini <zinie@cs.unibo.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #13 received at 74903-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 74903-close@bugs.debian.org
Subject: Bug#74903: fixed in dialog 0.9a-20001017-1
Date: Thu, 19 Oct 2000 14:52:29 -0400
We believe that the bug you reported is fixed in the latest version of
dialog, which has been installed in the Debian FTP archive:
dialog_0.9a-20001017.orig.tar.gz
  to dists/woody/main/source/libs/dialog_0.9a-20001017.orig.tar.gz
  replacing dialog_0.9a-20000730.orig.tar.gz
dialog_0.9a-20001017-1.diff.gz
  to dists/woody/main/source/libs/dialog_0.9a-20001017-1.diff.gz
  replacing dialog_0.9a-20000730-1.diff.gz
dialog_0.9a-20001017-1.dsc
  to dists/woody/main/source/libs/dialog_0.9a-20001017-1.dsc
  replacing dialog_0.9a-20000730-1.dsc
dialog_0.9a-20001017-1_i386.deb
  to dists/woody/main/binary-i386/libs/dialog_0.9a-20001017-1.deb
  replacing dialog_0.9a-20000730-1.deb

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 74903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Thu, 19 Oct 2000 14:25:28 +0200
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9a-20001017-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 74903
Changes: 
 dialog (0.9a-20001017-1) unstable; urgency=low
 .
   * New upstream release, fixes a segfault problem (Closes: #74903).
Files: 
 63c1fb9af8b74830c0bf7f5be10768bf 628 misc optional dialog_0.9a-20001017-1.dsc
 a732fdd9dabf6e9eecc055df0c39eb6b 168646 misc optional dialog_0.9a-20001017.orig.tar.gz
 9b660036a758a6519ab6aa8767505697 4396 misc optional dialog_0.9a-20001017-1.diff.gz
 c485e9f8181fbc4cfa33650f9d29c643 79958 misc optional dialog_0.9a-20001017-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.1 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE57ulgd9Uuvj7yPNYRApl7AJ9VVPJwf8lSxtepqGHIKxalCoCCQQCgvc6Z
TwDFycP9Bah6mvA7vHxZkvk=
=HnKf
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:00:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.